package org.sipdroid.media.codecs;

public class G722JNI {
	public static native long encodeInit(long g722State, int rate, int options);
	public static native int encodeRelease(long g722State);
	public static native int encode(long g722State, short[] signal, long srcPos, byte[] g722Byte, long destPos, int len);
	public static native long decodeInit(long g722State, int rate, int options);
	public static native int decodeRelease(long g722State);
	public static native int decode(long g722State, byte[] g722Byte, long srcPos, short[] signal, long destPos, int len);
}
